<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/context https://www.springframework.org/schema/context/spring-context.xsd http://www.springframework.org/schema/mvc https://www.springframework.org/schema/mvc/spring-mvc.xsd">

    <context:component-scan base-package="com.lovecoding.mvc" />

    <bean class="com.lovecoding.mvc.config.MyException" />

    <bean id="conversionServiceFactoryBean" class="org.springframework.context.support.ConversionServiceFactoryBean" >
        <property name="converters" >
            <list>
                <bean class="com.lovecoding.mvc.config.DateConverter" />
            </list>
        </property>
    </bean>

    <mvc:default-servlet-handler></mvc:default-servlet-handler>

    <mvc:annotation-driven conversion-service="conversionServiceFactoryBean" />

<!--    <bean id="simpleMappingExceptionResolver" class="org.springframework.web.servlet.handler.SimpleMappingExceptionResolver">-->
<!--        <property name="exceptionMappings">-->
<!--            <props>-->
<!--                <prop key="java.lang.ArithmeticException">/ari.jsp</prop>-->
<!--            </props>-->
<!--        </property>-->
<!--    </bean>-->

    <mvc:interceptors>
        <mvc:interceptor>
            <mvc:mapping path="/mybatis"/>
            <mvc:exclude-mapping path="/test"/>
            <bean class="com.lovecoding.mvc.config.MyInterceptor" />
        </mvc:interceptor>
    </mvc:interceptors>

</beans>